Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class Branche
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub GrbranchenBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            GrbranchenBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsBranchen)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Branche_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            ds = DsBranchen
            ParentBindingNavigator.BindingSource = GrbranchenBindingSource

            GrbranchenTableAdapter.Fill(DsBranchen.grbranchen)
            GrbranchenkeywordsTableAdapter.Fill(DsBranchen.grbranchenkeywords)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
End Class